Update a receipt
curl --request PUT \
--url https://api.contazen.ro/v1/receipts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"invoice_id": "<string>",
"amount": 123,
"currency": "<string>",
"payment_date": "<string>",
"observations": "<string>",
"type": "<string>",
"language": "<string>",
"exchange_rate": 123
}
'import requests
url = "https://api.contazen.ro/v1/receipts/{id}"
payload = {
"client_id": "<string>",
"invoice_id": "<string>",
"amount": 123,
"currency": "<string>",
"payment_date": "<string>",
"observations": "<string>",
"type": "<string>",
"language": "<string>",
"exchange_rate": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
invoice_id: '<string>',
amount: 123,
currency: '<string>',
payment_date: '<string>',
observations: '<string>',
type: '<string>',
language: '<string>',
exchange_rate: 123
})
};
fetch('https://api.contazen.ro/v1/receipts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"object": "receipt",
"receipt_number": "<string>",
"amount": 123,
"amount_without_vat": 123,
"amount_vat": 123,
"currency": "<string>",
"date": "2023-12-25",
"observations": "<string>",
"language": "<string>",
"is_draft": true,
"is_deleted": true,
"exchange_rate": 123,
"exchange_currency": "<string>",
"client": {
"id": "<string>",
"name": "<string>"
},
"invoice": {
"id": "<string>",
"number": "<string>",
"total": 123,
"currency": "<string>",
"is_paid": true
},
"payment": {
"id": "<string>",
"object": "payment",
"amount": 123,
"amount_without_vat": 123,
"amount_vat": 123,
"currency": "<string>",
"date": "2023-12-25",
"type_description": "<string>",
"exchange_rate": 123,
"exchange_currency": "<string>",
"invoice": {
"id": "<string>",
"number": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>"
},
"created_at": 123
},
"created_at": 123,
"updated_at": 123
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Receipts
Update a Receipt
Update an existing chitanță
PUT
/
receipts
/
{id}
Update a receipt
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Path Parameters
Body
application/json
Was this page helpful?
⌘I